<template>
  <div class="container">
    <div class="left">
      <h1>Create Products Link</h1>
      <div class="creator-view">
        <h3>Enter Details</h3>
        <form @submit.prevent="redirect">
          <label for="creator-name">Creator Name</label>
          <select name="creator" id="creator" v-model="creatorName" required>
            <option value="">Select Creator</option>
            <option
              v-for="creator in allCreators"
              :value="creator.name"
              :label="creator.name"
              :key="creator._id"
            ></option>
          </select>

          <!-- <label for="category">Choose Creator Category</label>
          <select
            name="category"
            id="category"
            v-model="creatorCategory"
            required
          >
            <option
              v-for="creator in allCreators"
              :value="creator.category"
              :label="creator.category"
              :key="creator._id"
            ></option>
          </select> -->

          <label for="brand-category">Choose Brand Categories</label>
          <select name="brands" id="brands" v-model="brandCategories" required>
            <option value="">Select Brand Category</option>
            <option
              v-for="(brandCategory, index) in getCategories"
              :key="index"
              :value="index"
              :label="brandCategory.category"
            >
              {{ brandCategory.category }}
            </option>
          </select>

          <label for="brands">Choose Brands</label>
          <select name="brands" id="brands" v-model="brands" required>
            <option value="">Select brands</option>
            <option
              v-for="(brands, index) in getCategories[brandCategories]
                .brand_name"
              :key="index"
              :value="brands"
            >
              {{ brands }}
            </option>
          </select>

          <label for="budget">Product Budget Alloted</label>
          <input
            type="number"
            name="budget"
            id="budget"
            placeholder="Enter Budget..."
            v-model="budget"
            required
          />

          <input type="submit" value="Submit" />
        </form>
      </div>
    </div>
    <div class="right">
      <div class="mockup">
        <img src="../assets/images/IphoneMockup.png" alt="" />
      </div>
    </div>
  </div>
</template>

<script>
// import Multiselect from "@vueform/multiselect";
import { mapGetters, mapActions } from "vuex";
export default {
  name: "CreatorPage",
  data() {
    return {
      creatorName: "",
      creatorCategory: "",
      brandCategories: 0,
      brands: "",
      budget: "",
      indexNum: 0,
    };
  },
  methods: {
    ...mapActions(["fetchCreators", "fetchBrandCategories", "fetchBrands"]),
    changeIndex() {
      console.log(this.brandCategories);
      this.indexNum = this.brandCategories;
    },
    redirect() {
      this.$router.push({
        name: "Catalog",
        params: { brandName: this.brands, productPrice: this.budget },
      });
    },
  },
  computed: mapGetters(["allCreators", "getCategories", "getBrands"]),
  components: {},
  created() {
    this.fetchCreators();
    this.fetchBrandCategories();
    this.fetchBrands();
  },
  updated() {
    console.log(this.getBrands);
  },
};
</script>

<style scoped>
.container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  justify-items: flex-start;
}
form {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: fit-content;
}

#input-name,
input[type="text"],
input[type="number"] {
  background: rgb(240, 240, 240);
  padding: 1rem;
  color: #191a1b;
  border-radius: 20px;
  width: 15rem;
  font-size: 14px;
  outline: 0;
  border: none;
}

input::placeholder {
  color: rgb(126, 121, 121);
}

input[type="submit"] {
  background: #0072ff;
  padding: 1rem;
  border: none;
  outline: none;
  color: white;
  font-size: 18px;
  font-weight: 700;
  border-radius: 20px;
}
.creator-view {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
}

h3 {
  color: #0072ff;
}

select {
  background: rgb(240, 240, 240);
  padding: 1rem;
  color: gray;
  border-radius: 20px;
  font-size: 14px;
  outline: 0;
  border: none;
}

label {
  font-size: 12px;
  color: rgb(114, 114, 114);
  padding-left: 1rem;
}
</style>
